Last Comment Bug 709564 - (b2g-sms) [meta] B2G SMS
(b2g-sms)
: [meta] B2G SMS
Status: REOPENED
:
Product: Firefox OS
Classification: Client Software
Component: RIL (show other bugs)
: unspecified
: ARM Gonk (Firefox OS)
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 739143 832140 847426 857005 sms-db-in-gaia 903339 912943 927716 959015 980809 993817 1010718 1019443 1083003 1101434 1141400 1153073 1172794 websms 709566 709567 709568 712804 712809 712933 715773 719283 720643 727319 729061 733331 733674 736697 736702 736707 738132 740238 740710 743179 744360 748667 753012 753034 753934 808994 815564 824717 831683 838467 839352 839401 844429 850127 850530 851802 854326 854790 855547 856966 856971 869625 870257 871946 873351 875703 885280 887159 887745 891235 900312 901457 903403 907008 908657 908743 910654 911690 912362 912902 913313 913436 914440 933207 943712 943749 944890 945089 946079 946081 949318 957084 973895 974820 980354 981077 981577 984413 1011439 1020930 1043250 1044721 1119608 1127550 1138264 1138757 1138841 1147305 1152730
Blocks: b2g-ril b2g-dev-phone b2g-product-phone
  Show dependency treegraph
 
Reported: 2011-12-11 03:08 PST by Philipp von Weitershausen [:philikon]
Modified: 2015-07-24 02:41 PDT (History)
20 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
-
+


Attachments

Description Philipp von Weitershausen [:philikon] 2011-12-11 03:08:01 PST
Tracking bug for implementing SMS on the Gonk backend. This will include

* parsing and assembling PDU formatted messages
* handling of the appropriate RIL parcels and mainthread messages
* SmsService implementation to hook mediate between nsITelephone and WebSMS API provided by bug (674725)
* SmsDatabaseService implementation to store text messages, probably IndexedDB-based

I shall file individual bugs for these and anything else that crosses my mind.
Comment 1 JP Rosevear [:jpr] 2012-06-19 06:51:44 PDT
There are four dependencies left on this meta bug.  Two have already been minused for basecamp (bug 740238 and bug 743363).  The other two are bug 759529 and bug 759539.  Suggest we nom the latter and break the dep chain and close this as fixed to get it off the blocker list.
Comment 2 Andrew Overholt [:overholt] (back Aug 31) 2012-06-20 13:33:30 PDT
I nommed bug 759529 and bug 759539.  I'll remove the basecamp blocker flag here.
Comment 3 JP Rosevear [:jpr] 2012-07-03 13:38:28 PDT
Broke the dep chain as per #1 and closing as fixed, the rest are just bugs, not core to SMS.
Comment 4 Gene Lian [:gene] (I already quit Mozilla) 2013-07-24 01:16:46 PDT
Shouldn't close a meta bug which is aimed for tracking SMS-related issues.
Comment 5 Ken Chang[:ken] 2014-04-15 01:00:21 PDT
Put this bug into backlog.

Note You need to log in before you can comment on or make changes to this bug.